﻿@model MonSuperMVC.Models.Form.DetailUserForm

@{
    ViewData["Title"] = "Details";
}

<h1>Details</h1>

<div>
    <h4>DetailUserForm</h4>
    <hr />
    <dl class="row">
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.UserId)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.UserId)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.FirstName)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.FirstName)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.LastName)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.LastName)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.Username)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.Username)
        </dd>
        <dt class = "col-sm-2">
            @Html.DisplayNameFor(model => model.role)
        </dt>
        <dd class = "col-sm-10">
            @Html.DisplayFor(model => model.role)
        </dd>
    </dl>
    <div>
        @{
            @if (Model.role == Role.Admin) {
                <h1>ADMIN</h1>
            }
        }
    </div>
</div>
<div>
    @Html.ActionLink("Edit", "Edit", new { /* id = Model.PrimaryKey */ }) |
    <a asp-action="Index">Back to List</a>
</div>
